求助:工作流设计,保存时候报“更新工作流配置失败”

dtable_web.log

2022-06-02 08:04:22,682 [ERROR] django.request:230 log_response Internal Server Error: /api/v2.1/workflows/06f9e539-f630-4a91-a509-6daaa177337d/
Traceback (most recent call last):
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/connection.py”, line 175, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/util/connection.py”, line 95, in create_connection
raise err
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/util/connection.py”, line 85, in create_connection
sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/connectionpool.py”, line 710, in urlopen
chunked=chunked,
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/connectionpool.py”, line 398, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/connection.py”, line 239, in request
super(HTTPConnection, self).request(method, url, body=body, headers=headers)
File “/usr/lib/python3.7/http/client.py”, line 1256, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1302, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1251, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1030, in _send_output
self.send(msg)
File “/usr/lib/python3.7/http/client.py”, line 970, in send
self.connect()
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/connection.py”, line 205, in connect
conn = self._new_conn()
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/connection.py”, line 187, in _new_conn
self, “Failed to establish a new connection: %s” % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fe4eb18e750>: Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/requests/adapters.py”, line 450, in send
timeout=timeout
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/connectionpool.py”, line 786, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/urllib3/util/retry.py”, line 592, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host=‘IP******’, port=4479): Max retries exceeded with url: /dtable-server/api/v1/dtables/2cf1c7ae-7ad7-4864-bbc8-1214b37d14c0/metadata/?from=dtable_web (Caused by NewConnectionError(’<urllib3.connection.HTTPConnection object at 0x7fe4eb18e750>: Failed to establish a new connection: [Errno 111] Connection refused’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/core/handlers/exception.py”, line 47, in inner
response = get_response(request)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/core/handlers/base.py”, line 181, in _get_response
response = wrapped_callback(request, callback_args, **callback_kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/views/decorators/csrf.py”, line 54, in wrapped_view
return view_func(args, **kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/django/views/generic/base.py”, line 70, in view
return self.dispatch(request, args, **kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/rest_framework/views.py”, line 509, in dispatch
response = self.handle_exception(exc)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/rest_framework/views.py”, line 469, in handle_exception
self.raise_uncaught_exception(exc)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/rest_framework/views.py”, line 480, in raise_uncaught_exception
raise exc
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/rest_framework/views.py”, line 506, in dispatch
response = handler(request, args, **kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/seahub/dtable_apps/workflow/apis.py”, line 1094, in put
dtable_metadata = get_metadata(dtable.uuid.hex, headers)
File “/opt/seatable/seatable-server-latest/dtable-web/seahub/dtable_apps/workflow/utils.py”, line 224, in get_metadata
resp = requests.get(url, headers=headers)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/requests/api.py”, line 75, in get
return request(‘get’, url, params=params, **kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/requests/api.py”, line 61, in request
return session.request(method=method, url=url, **kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/requests/sessions.py”, line 529, in request
resp = self.send(prep, **send_kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/requests/sessions.py”, line 645, in send
r = adapter.send(request, **kwargs)
File “/opt/seatable/seatable-server-latest/dtable-web/thirdpart/requests/adapters.py”, line 519, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host=’
******’, port=4479): Max retries exceeded with url: /dtable-server/api/v1/dtables/2cf1c7ae-7ad7-4864-bbc8-1214b37d14c0/metadata/?from=dtable_web (Caused by NewConnectionError(’<urllib3.connection.HTTPConnection object at 0x7fe4eb18e750>: Failed to establish a new connection: [Errno 111] Connection refused’))

自己解:
局域网域名访问问题,不支持局域网IP通过域名访问局域网内部服务器,可在路由器上添加虚拟服务器端口指向服务器IP